# Site 8.2.x updates













function Execute8.2SiteUpdates






{






	SiteUpdate_8.2_01 8201






	SiteUpdate_8.2_02 8201






	SetTemplateVersion $templateUpdateVersion






}













# List: SettingValues






# Remove items (if any)






# Import new data






function SiteUpdate_8.2_01($patchVersion)






{






	if ($patchCheck -ge $patchVersion -or $newSite) 






	{






		return






	}













	UpdateSettingValues






}













# List: Settings






# Remove 'EnableBreakInQuestionnaire' setting if present






function SiteUpdate_8.2_02($patchVersion)






{






	if ($patchCheck -ge $patchVersion) 






	{






		return






	}













	$listTitle = "Settings"






	$deleteItem = Get-PnPListItem -List $listTitle -Query '<View><Query><Where><Eq><FieldRef Name="wsp_ucc_Key" /><Value Type="Text">EnableBreakInQuestionnaire</Value></Eq></Where></Query></View>'






	if ($deleteItem -ne $null) 






	{






		Remove-PnPListItem -List $listTitle -Identity $deleteItem -Force






	}






}






